org.jfree.data.xy

## Interface WindDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  DefaultWindDataset

    public interface WindDataset
    extends XYDataset

Interface for a dataset that supplies wind intensity and direction values observed at various points in time.

### Method Summary

Methods
`java.lang.Number` `getWindDirection(int series, int item)` Returns the wind direction (should be in the range 0 to 12, corresponding to the positions on an upside-down clock face).
`java.lang.Number` `getWindForce(int series, int item)` Returns the wind force on the Beaufort scale (0 to 12).

### Methods inherited from interface org.jfree.data.xy.XYDataset

`getDomainOrder, getItemCount, getX, getXValue, getY, getYValue`

### Methods inherited from interface org.jfree.data.general.SeriesDataset

`getSeriesCount, getSeriesKey, indexOf`

### Methods inherited from interface org.jfree.data.general.Dataset

`addChangeListener, getGroup, removeChangeListener, setGroup`

### Method Detail

#### getWindDirection

    java.lang.Number getWindDirection(int series,
                                    int item)

Returns the wind direction (should be in the range 0 to 12, corresponding to the positions on an upside-down clock face).

Parameters:
  `series` - the series (in the range `0` to `getSeriesCount() - 1`).
  `item` - the item (in the range `0` to `getItemCount(series) - 1`).
Returns:
  The wind direction.

#### getWindForce

    java.lang.Number getWindForce(int series,
                                int item)

Returns the wind force on the Beaufort scale (0 to 12). See:

http://en.wikipedia.org/wiki/Beaufort_scale

Parameters:
  `series` - the series (in the range `0` to `getSeriesCount() - 1`).
  `item` - the item (in the range `0` to `getItemCount(series) - 1`).
Returns:
  The wind force.